import { ChangeDetectorRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { TableColumn, TableOptions, TableRowExpandEmitter } from '@ironsource/fusion-ui/components/table/common/entities';
import { TableService } from '@ironsource/fusion-ui/components/table/common/services';
import { Observable } from 'rxjs';
import { ColumnData } from './column-data';
import { TableRow } from '@ironsource/fusion-ui/components/table/common/entities';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import * as i0 from "@angular/core";
export declare class TableRowComponent implements OnInit, OnChanges {
    tableService: TableService;
    private cdRef;
    rowIndex: string | number;
    row: TableRow;
    options: TableOptions;
    columns: TableColumn[];
    isRemovableOnHover: boolean;
    isRowSelected: boolean;
    isExpanded: boolean;
    isInnerRow: boolean;
    hasAfterSticky: boolean;
    rowRemoved: EventEmitter<any>;
    selectedChange: EventEmitter<any>;
    expandRow: EventEmitter<TableRowExpandEmitter>;
    dataRowIndex: string | number;
    get isRowInRequest(): boolean;
    get isRowExpanded(): boolean;
    get isInnerRowExpandable(): boolean;
    get isRowTotal(): boolean;
    get isRowReadOnly(): boolean;
    private inRequest;
    expandArrowIconName: IconData;
    columnsData: ColumnData[];
    get expandCellCount(): Observable<number[]>;
    hasTooltip(key: string, row: TableRow): boolean;
    getCellTooltip(key: string, row: any): string;
    infoIconOnHooverToolTip(options: TableOptions, row: TableRow): string;
    rowRemoveIconOptions(options: TableOptions, row: TableRow): {
        hideRemoveIcon: boolean;
    };
    constructor(tableService: TableService, cdRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges({ options, columns, row }: SimpleChanges): void;
    onDataChange(options: any, rowKey: any): void;
    trackByFn(index: any, item: any): any;
    showExpandIcon(): boolean;
    getCellColspan(isFirstDataCell: boolean, cellColspan?: number, expandLevel?: number): number | undefined;
    private getColumnsData;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableRowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableRowComponent, "[fusionTableRow]", never, { "rowIndex": { "alias": "rowIndex"; "required": false; }; "row": { "alias": "row"; "required": false; }; "options": { "alias": "options"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "isRemovableOnHover": { "alias": "isRemovableOnHover"; "required": false; }; "isRowSelected": { "alias": "isRowSelected"; "required": false; }; "isExpanded": { "alias": "isExpanded"; "required": false; }; "isInnerRow": { "alias": "isInnerRow"; "required": false; }; "hasAfterSticky": { "alias": "hasAfterSticky"; "required": false; }; }, { "rowRemoved": "rowRemoved"; "selectedChange": "selectedChange"; "expandRow": "expandRow"; }, never, never, false, never>;
}
